Bug 287311 (CVE-2007-4569) - CVE-2007-4569 kdm password-less login vulnerability
Summary: CVE-2007-4569 kdm password-less login vulnerability
Status: CLOSED ERRATA
Alias: CVE-2007-4569
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=vendorsec,reported=20070912,pu...
Keywords: Security
Depends On: 290851 290861 290871 290881 299731 299741
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-12 06:09 UTC by Tomas Hoger
Modified: 2018-10-19 22:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 17:24:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch: post-3.5.7-kdebase-kdm.diff (1.57 KB, patch)
2007-09-12 06:11 UTC, Tomas Hoger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0905 normal SHIPPED_LIVE Moderate: kdebase security update 2008-01-08 17:50:28 UTC

Description Tomas Hoger 2007-09-12 06:09:34 UTC
Dirk Mueller from KDE project has provided us with preview of upcoming KDE
security advisory for kdm:


KDE Security Advisory: KDM passwordless login vulnerability
Original Release Date: 2007-09-19
URL: http://www.kde.org/info/security/advisory-20070919-1.txt

0. References
        CVE-FIXME

1. Systems affected:

	KDM as shipped with KDE 3.3.0 up to including 3.5.7. KDE 3.2.x and
	older and newer versions than KDE 3.5.7 are not affected. 

2. Overview:

	KDM can be tricked into performing a password-less login even for
	accounts with a password set under certain circumstances. It
        requires autologin to be configured and 
        "shutdown with password" enabled.

        This vulnerability was discovered and reported by C. Huijgen.
       
3. Impact:

	KDM might allow a normal user to login as another user or even
	root without properly supplying login credentials.

4. Solution:

        Source code patches have been made available which fix these
        vulnerabilities. Contact your OS vendor / binary package provider
        for information about how to obtain updated binary packages.

5. Patch:

        A patch for KDE 3.3.0 - KDE 3.5.7 is available from
        ftp://ftp.kde.org/pub/kde/security_patches :

	ee6c57046902c5b5a32a4699558baafc  post-3.5.7-kdebase-kdm.diff

Comment 1 Tomas Hoger 2007-09-12 06:11:10 UTC
Created attachment 193281 [details]
Upstream patch: post-3.5.7-kdebase-kdm.diff

Comment 8 Tomas Hoger 2007-09-12 16:09:22 UTC
Correct reporter name should be: 'Kees Huijgen'

Comment 10 Tomas Hoger 2007-09-21 06:37:27 UTC
Issue is public now, lifting embargo:

http://www.kde.org/info/security/advisory-20070919-1.txt


Comment 16 Red Hat Product Security 2008-01-16 17:24:24 UTC
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-0905.html

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-2361




Note You need to log in before you can comment on or make changes to this bug.